Haveno error with message and code.

### Hierarchy

- Error
  - HavenoError

## Index

### Constructors

- constructor

### Properties

- cause
- code
- message
- name
- stack
- prepareStackTrace
- stackTraceLimit

### Methods

- captureStackTrace

## Constructors

### constructor

- new HavenoError(msg: string, code?: number): HavenoError

- Overrides Error.constructor

  - Defined in src/utils/HavenoError.ts:14

  Create the error with a message and code.

  #### Parameters

  - ##### msg: string

    the error message

  - ##### Optional code: number

  #### Returns HavenoError

## Properties

### Optional cause

cause?: Error

Inherited from Error.cause

- Defined in node_modules/typescript/lib/lib.es2022.error.d.ts:26

### code

code: undefined | number

- Defined in src/utils/HavenoError.ts:6

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1023

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1022

### Optional stack

stack?: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1024

### Static Optional prepareStackTrace

prepareStackTrace?: (err: Error, stackTraces: CallSite []) => any

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:11

#### Type declaration

- - (err: Error, stackTraces: CallSite []): any

  - Optional override for formatting stack traces

    see

      https://v8.dev/docs/stack-trace-api#customizing-stack-traces

    #### Parameters

    - ##### err: Error

    - ##### stackTraces: CallSite []

    #### Returns any

### Static stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:13

## Methods

### Static captureStackTrace

- captureStackTrace(targetObject: object, constructorOpt?: Function): void

- Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:4

  Create .stack property on a target object

  #### Parameters

  - ##### targetObject: object

  - ##### Optional constructorOpt: Function

  #### Returns void

Generated using TypeDoc